Update ci to nodejs 6
Closed, ResolvedPublic

Description

nodejs 6 was uploaded to wikimedia's apt repo today by moritzm.

This will cause ci to have another one of those outrages when nodejs 4 was updated.

This will also break on any new instances created.

So lets update to nodejs 6 as soon as possible please.

<@moritzm> !log uploaded nodejs 6.9.1 for jessie-wikimedia to carbon

Paladox created this task.Jan 16 2017, 7:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2017, 7:02 PM
Paladox triaged this task as "High" priority.Jan 16 2017, 7:02 PM

As this can break ci at any time because someone installs a new instance or runs apt-get update and then apt-get upgrade it could install this at any time. so i am setting it as high priority.

Change 332382 had a related patch set uploaded (by Paladox):
Update ci to nodejs 6

https://gerrit.wikimedia.org/r/332382

Mentioned in SAL (#wikimedia-operations) [2017-01-17T10:16:19Z] <hashar> Updating CI Jessie image for NodeJs 4 -> 6 upgrade. T155443

hashar closed this task as "Resolved".Jan 17 2017, 10:34 AM
hashar assigned this task to Paladox.

Change 332382 merged by jenkins-bot:
Update ci to nodejs 6

https://gerrit.wikimedia.org/r/332382

Mentioned in SAL (#wikimedia-operations) [2017-01-17T10:35:35Z] <hashar> CI switched NodeJS from v4 to v6 T155443 T149331